utl::meta::typelist< Ts > Struct Template Reference

`#include <typelist.h>`

## Classes

struct | cat_
struct | cat_< typelist< L1... >, typelist< L2... > >
struct | times_
struct | times_< 0, T... >
struct | times_< 1, T... >

## Public Types

using | type = typelist
| act as identity More...
template<size_t N>
using | times = eval< times_< N, Ts... > >

## Static Public Member Functions

static constexpr size_t | size () noexcept
static constexpr bool | empty () noexcept

## Detailed Description

### template<typename... Ts>
struct utl::meta::typelist< Ts >

Definition at line 65 of file typelist.h.

## Member Typedef Documentation

## times

template<typename... Ts>
template<size_t N>

using utl::meta::typelist< Ts >::times = eval< times_<N, Ts...> >

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/typelist.h.

Definition at line 117 of file typelist.h.

## type

template<typename... Ts>

using utl::meta::typelist< Ts >::type = typelist

act as identity

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/typelist.h.

Definition at line 66 of file typelist.h.

## Member Function Documentation

## empty()

template<typename... Ts>

static constexpr bool utl::meta::typelist< Ts >::empty | ( |  | ) |

inlinestaticnoexcept

Returns
  true if empty

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/typelist.h.

Definition at line 73 of file typelist.h.

## size()

template<typename... Ts>

static constexpr size_t utl::meta::typelist< Ts >::size | ( |  | ) |

inlinestaticnoexcept

Returns
  sizeof...(Ts)

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/typelist.h.

Definition at line 69 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h